SRU ubuntu-font-family 0.70.1 for *

Bug #709980 reported by Paul Sladen on 2011-01-30
28
This bug affects 5 people
Affects Status Importance Assigned to Milestone
Ubuntu Font Family
Wishlist
Paul Sladen
ubuntu-font-family-sources (Ubuntu)
Wishlist
Unassigned
Hardy
Undecided
Unassigned
Karmic
Undecided
Unassigned
Lucid
Undecided
Unassigned
Maverick
Undecided
Unassigned

Bug Description

Per continuation of bug #650889 ("Ubuntu Font Family would be valuable for older releases"), please SRU ubuntu-font-family=0.70.1-0ubuntu1 from natty to hardy, karmic, lucid, maverick; displacing all previous versions available.

This fixes several bugs:

  * (Midstream) Fstype bit != 0 (LP: #648406)
  * (Midstream) Add unit test to validate fstype bits (LP: #648406)
  * (Design) Add Capitalised version of glyphs and kern. (Rg, It, Bd,
    BdIt) DM (LP: #676538, #677446)
  * (Design) Give acute and grave a slight upright move to more match
    the Hungarian double acute angle. (Rg, It, Bd, BdIt) (LP: #656647)
  * (Design) Shift Bold Italic accent glyphs to be consistent with the
    Italic. (BdIt only) DM (LP: #677449)
  * (Design) Check spacing and kerning of dcaron, lcaron and
    tcaron. (Rg, It, Bd, BdIt) (LP: #664722)
  * (Design) Add positive kerning to () {} [] to open out the
    combinations so they are less like a closed box. (Rg, It, Bd,
    BdIt) (LP: #671228)
  * (Design) Change design of acute.asc and check highest points (Bd
    and BdIt only) DM
  * (Production) Update <case> feature. DM (LP: #676538, #676539)
  * (Production) Remove Romanian locl feature. (Rg, It, Bd, BdIt)
    (LP: #635615)
  * (Production) Update Copyright information with new
    strings. "Copyright 2010 Canonical Ltd. Licensed under the Ubuntu
    Font Licence 1.0" Trademark string "Ubuntu and Canonical are
    registered trademarks of Canonical Ltd." (Rg, It, Bd, BdIt) DM
    (LP: #677450)
  * (Design) Check aligning of hyphen, math signs em, en, check braces
    and other brackets. 16/11 (LP: #676465)
  * (Production) Pixel per em indicator added at U+F000 (Rg, It, Bd,
    BdIt) (LP: #615787)
  * (Production) Version number indicator added at U+EFFD (Rg, It, Bd,
    BdIt) (LP: #640623)
  * (Production) fstype bit set to 0 - Editable (Rg, It, Bd, BdIt)
    (LP: #648406)

Version 0.70.1 was uploaded to natty on 2010-12-14, it is a leaf-node package and has not had any major show-stoppers reported since. The confusion caused about not having the latest version deployed outweighs the risks from reflow in documents (UFF is not set as a default document font and in prior versions of Ubuntu the package must have already been explicitly installed by the user).

Paul Sladen (sladen) on 2011-01-30
Changed in ubuntu-font-family-sources (Ubuntu):
importance: Undecided → Wishlist
status: New → Triaged

 status confirmed

Mark

Changed in ubuntu-font-family-sources (Ubuntu):
status: Triaged → Confirmed
adoa (adoa) wrote :

Well this would immediately make my question #143179 redundant.Thanks.

PS: Why does Launchpad not resolve question numbers, as it does with bugs?
https://answers.launchpad.net/ubuntu-font-family/+question/143179

Accepted into maverick-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in ubuntu-font-family-sources (Ubuntu Maverick):
status: New → Fix Committed
Changed in ubuntu-font-family-sources (Ubuntu Karmic):
status: New → Fix Committed
Jonathan Riddell (jr) wrote :

Accepted into karmic-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in ubuntu-font-family-sources (Ubuntu Hardy):
status: New → Fix Committed
Jonathan Riddell (jr) wrote :

Accepted into hardy-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Jonathan Riddell (jr) wrote :

lucid is frozed for .2 so that will have to wait

Jonathan Riddell (jr) on 2011-02-01
Changed in ubuntu-font-family-sources (Ubuntu):
status: Confirmed → Fix Released
Changed in ubuntu-font-family-sources (Ubuntu Lucid):
status: New → Confirmed
Martin Pitt (pitti) wrote :

Accepted into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in ubuntu-font-family-sources (Ubuntu Lucid):
status: Confirmed → Fix Committed
Martin Pitt (pitti) wrote :

package isn't on any of the CDs/DVDs, so having it in -proposed is okay.

adoa (adoa) wrote :

Two days ago I installed the 0.70.1 version from maverick-proposed on my system and no problems occurred. Can't tell how it works on other systems.

Jonathan Riddell (jr) on 2011-02-08
tags: added: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-font-family-sources - 0.70.1-0ubuntu1~maverick2

---------------
ubuntu-font-family-sources (0.70.1-0ubuntu1~maverick2) maverick-proposed; urgency=low

  * SRU for Ubuntu 10.10 (LP: #709980)
 -- Paul Sladen <email address hidden> Sun, 30 Jan 2011 02:17:00 +0000

Changed in ubuntu-font-family-sources (Ubuntu Maverick):
status: Fix Committed → Fix Released
Martin Pitt (pitti) wrote :

Keeping v-needed for the updates to the other releases.

Vish (vish) wrote :

Tested version 0.70.1-0ubuntu1~lucid2 and it works fine [i.e. nothing blew up ;) ]

Martin Pitt (pitti) wrote :

Thanks Vish! Publishing lucid update, keeping v-needed for the other releases.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-font-family-sources - 0.70.1-0ubuntu1~lucid2

---------------
ubuntu-font-family-sources (0.70.1-0ubuntu1~lucid2) lucid-proposed; urgency=low

  * SRU for Ubuntu 10.04 LTS (LP: #709980)
 -- Paul Sladen <email address hidden> Sun, 30 Jan 2011 02:17:00 +0000

Changed in ubuntu-font-family-sources (Ubuntu Lucid):
status: Fix Committed → Fix Released
Pedro Villavicencio (pedro) wrote :

I've verified the proposed package for Karmic and Hardy, it install correctly on both and didn't noticed any regressions with it, i'm marking this as verification done for both Hardy and Karmic, thanks all.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-font-family-sources - 0.70.1-0ubuntu1~hardy2

---------------
ubuntu-font-family-sources (0.70.1-0ubuntu1~hardy2) hardy-proposed; urgency=low

  * SRU for Ubuntu 8.04 LTS (LP: #709980)
 -- Paul Sladen <email address hidden> Sun, 30 Jan 2011 02:10:00 +0000

Changed in ubuntu-font-family-sources (Ubuntu Hardy):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-font-family-sources - 0.70.1-0ubuntu1~karmic2

---------------
ubuntu-font-family-sources (0.70.1-0ubuntu1~karmic2) karmic-proposed; urgency=low

  * SRU for Ubuntu 9.10 (LP: #709980)
 -- Paul Sladen <email address hidden> Sun, 30 Jan 2011 02:15:00 +0000

Changed in ubuntu-font-family-sources (Ubuntu Karmic):
status: Fix Committed → Fix Released
Paul Sladen (sladen) on 2011-06-04
Changed in ubuntu-font-family:
status: Triaged → Invalid
Paul Sladen (sladen) on 2011-11-02
tags: added: uff-sru
tags: removed: uff-sru
tags: added: uff-sru
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions